#!/usr/bin/env bash
# Where I keep the sources

deb_version=${1}

if [[ "x${deb_version}" == "x" ]]; then
	deb_version=1
fi
BASEDIR=~/sources
SRCDIR="${BASEDIR}/tinge"
# Version of Tinge
VERSION=$(grep version= ${SRCDIR}/setup.py | awk -F '"' '{print $2}' )

# Change to source dir
olddir=$(pwd)
cd ${SRCDIR}

# Build deb
python3 setup.py --command-packages=stdeb.command bdist_deb #--debian-version ${deb_version}

cp deb_dist/* ${olddir}
rm -r ${SRCDIR}/deb_dist/ ${SRCDIR}/tinge-${VERSION}.tar.gz
cd ${olddir}
